aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2018-01-07 16:46:35 +0100
committerCarlo Landmeter <clandmeter@alpinelinux.org>2018-04-15 08:56:48 +0000
commitc074e6e5d2c9e5d712cfbe543cf64b1b8952667f (patch)
tree69f30d0e90fe824537809bbbbbb337fbfcf757df
parent2341d634ea17141fd91c914deb53fa645625776d (diff)
downloadaports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.gz
aports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.bz2
aports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.xz
testing/influxdb: upgrade to 1.5.2
* bump package version * improve APKBUILD
-rw-r--r--testing/influxdb/APKBUILD72
-rw-r--r--testing/influxdb/glide.lock64
-rw-r--r--testing/influxdb/glide.yaml59
3 files changed, 31 insertions, 164 deletions
diff --git a/testing/influxdb/APKBUILD b/testing/influxdb/APKBUILD
index 6ccee91292..30c37c9a93 100644
--- a/testing/influxdb/APKBUILD
+++ b/testing/influxdb/APKBUILD
@@ -1,74 +1,64 @@
# Contributor: Stefan Wagner <stw@bit-strickerei.de>
# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
pkgname=influxdb
-pkgver=1.3.6
+pkgver=1.5.2
pkgrel=0
pkgdesc="Scalable datastore for metrics, events, and real-time analytics"
url="https://www.influxdata.com/time-series-platform/influxdb/"
arch="all !aarch64"
license="MIT"
-makedepends="go glide python2 asciidoc xmlto"
+makedepends="go go-gdm python2 asciidoc xmlto"
pkgusers="influxdb"
pkggroups="influxdb"
install="$pkgname.pre-install"
+options="!check" # has not tests
subpackages="$pkgname-doc"
-source="influxdb.initd
+source="$pkgname-$pkgver.tar.gz::https://github.com/influxdata/$pkgname/archive/v$pkgver.tar.gz
+ influxdb.initd
influxdb.logrotate
- glide.yaml
- glide.lock
"
builddir="$srcdir/src/github.com/influxdata/$pkgname"
-_git_repo="https://github.com/influxdata/influxdb.git"
-unpack() {
+prepare() {
+ mkdir -p ${builddir%/*}
+ mv "$srcdir"/$pkgname-$pkgver "$builddir"/ || return 1
export GOPATH="$srcdir"
- git clone --branch v${pkgver} $_git_repo $builddir || return 1
cd "$builddir"
- cp "$srcdir"/glide.yaml "$srcdir"/glide.lock . || return 1
- glide install --skip-test || return 1
- default_unpack || return 1
+ gdm restore
+ default_prepare
}
build() {
export GOPATH="$srcdir"
cd "$builddir"
- python2 build.py --no-get || return 1
+ local path
+ for path in $(find ./cmd/* -maxdepth 0 -type d); do
+ go build -v -work -x -ldflags="-X main.version=$pkgver" \
+ -o ./bin/${path##*/} $path
+ done
make -C man
}
package() {
cd "$builddir"
+ local path bindir
+ for path in $(find ./cmd/* -maxdepth 0 -type d); do
+ case "${path##*/}" in
+ influxd) bindir=sbin ;;
+ *) bindir=bin ;;
+ esac
+ install -Dm755 ./bin/"${path##*/}" "$pkgdir"/usr/$bindir/"${path##*/}"
+ done
- install -Dm755 "build/influxd" "$pkgdir/usr/sbin/influxd" || return 1
- install -Dm755 "build/influx" "$pkgdir/usr/bin/influx" || return 1
- install -Dm755 "build/influx_tsm" "$pkgdir/usr/bin/influx_tsm" || return 1
- install -Dm755 "build/influx_inspect" \
- "$pkgdir/usr/bin/influx_inspect" || return 1
+ install -d "$pkgdir/usr/share/man/man1/"
+ install -Dm644 man/*.1 "$pkgdir/usr/share/man/man1/"
- install -d "$pkgdir/usr/share/man/man1/" || return 1
- install -Dm644 man/*.1 "$pkgdir/usr/share/man/man1/" || return 1
+ install -Dm644 "etc/config.sample.toml" "$pkgdir/etc/influxdb/influxdb.conf"
- install -Dm644 "etc/config.sample.toml" \
- "$pkgdir/etc/influxdb/influxdb.conf" || return 1
-
- install -Dm755 "$srcdir/$pkgname.initd" \
- "$pkgdir/etc/init.d/$pkgname" || return 1
- install -Dm644 "$srcdir/$pkgname.logrotate" \
- "$pkgdir/etc/logrotate.d/$pkgname" || return 1
-}
-
-glide_init() {
- abuild deps clean
- export GOPATH="$srcdir"
- git clone --branch v${pkgver} $_git_repo $builddir || return 1
- cd "$builddir"
- glide init --non-interactive || return 1
- glide up --skip-test || return 1
- cp glide.yaml glide.lock "$startdir"
- cd $startdir && abuild checksum undeps
+ install -Dm755 "$srcdir/$pkgname.initd" "$pkgdir/etc/init.d/$pkgname"
+ install -Dm644 "$srcdir/$pkgname.logrotate" "$pkgdir/etc/logrotate.d/$pkgname"
}
-sha512sums="55d5776fde330001f254fed4b01163d576d1995c23b08ef64c3c33b7a53fa49c71092867a17149d3148af7a8e17dc4779481afe9dd54a86eeee16168dbb964e0 influxdb.initd
-5d754e3aeec912bae8f5bf2f84153d4ccc82918d9c728631e8b9ad6737fab3352af0ab63f46ac80aab6384d779bae5d321da0465f26fd8798a9694f7d79f879d influxdb.logrotate
-027df7af2eb976cf59ea55502689b750e2aff754557af8348f694adf8d6ce5de6fdcc8b9ceb8ce37cd5c8368c02499c7c08af9481bc995fb83278e1ed1dedbc1 glide.yaml
-a0be741d3e9cff38b415643454195b4eeba94b0a01ddc7a26dd839d12d03eae5ff7ee334d1d6ad9147632eb7db32c9dc0de0ba9e42d53f002bedfd67f5f91d0c glide.lock"
+sha512sums="4f31284824ca54c0af91c032c5873a8d459680ac8d073ef84c1be1d7dfd0a4a30121308e6428b1d6508ea78ef105ea5ea08013ad5180291027d9dc842ff6165c influxdb-1.5.2.tar.gz
+55d5776fde330001f254fed4b01163d576d1995c23b08ef64c3c33b7a53fa49c71092867a17149d3148af7a8e17dc4779481afe9dd54a86eeee16168dbb964e0 influxdb.initd
+5d754e3aeec912bae8f5bf2f84153d4ccc82918d9c728631e8b9ad6737fab3352af0ab63f46ac80aab6384d779bae5d321da0465f26fd8798a9694f7d79f879d influxdb.logrotate"
diff --git a/testing/influxdb/glide.lock b/testing/influxdb/glide.lock
deleted file mode 100644
index 2302c15c5c..0000000000
--- a/testing/influxdb/glide.lock
+++ /dev/null
@@ -1,64 +0,0 @@
-hash: df9e31e24a0597c3ac9ffd7d0b783613524fb9e60aae5b53462000c88ec2c905
-updated: 2017-10-08T23:21:34.364173131+02:00
-imports:
-- name: collectd.org
- version: e84e8af5356e7f47485bbc95c96da6dd7984a67e
- subpackages:
- - api
- - cdtime
- - network
-- name: github.com/bmizerany/pat
- version: c068ca2f0aacee5ac3681d68e4d0a003b7d1fd2c
-- name: github.com/boltdb/bolt
- version: 4b1ebc1869ad66568b313d0dc410e2be72670dda
-- name: github.com/BurntSushi/toml
- version: 99064174e013895bbd9b025c31100bd1d9b590ca
-- name: github.com/cespare/xxhash
- version: 4a94f899c20bc44d4f5f807cb14529e72aca99d6
-- name: github.com/davecgh/go-spew
- version: 346938d642f2ec3594ed81d874461961cd0faa76
-- name: github.com/dgrijalva/jwt-go
- version: 24c63f56522a87ec5339cc3567883f1039378fdb
-- name: github.com/dgryski/go-bits
- version: 2ad8d707cc05b1815ce6ff2543bb5e8d8f9298ef
-- name: github.com/dgryski/go-bitstream
- version: 7d46cd22db7004f0cceb6f7975824b560cf0e486
-- name: github.com/gogo/protobuf
- version: 30433562cfbf487fe1df7cd26c7bab168d2f14d0
- subpackages:
- - proto
-- name: github.com/golang/snappy
- version: d9eb7a3d35ec988b8585d4a0068e462c27d28380
-- name: github.com/google/go-cmp
- version: 18107e6c56edb2d51f965f7d68e59404f0daee54
-- name: github.com/influxdata/usage-client
- version: 6d3895376368aa52a3a81d2a16e90f0f52371967
- subpackages:
- - v1
-- name: github.com/jwilder/encoding
- version: 27894731927e49b0a9023f00312be26733744815
- subpackages:
- - simple8b
-- name: github.com/paulbellamy/ratecounter
- version: 5a11f585a31379765c190c033b6ad39956584447
-- name: github.com/peterh/liner
- version: 88609521dc4b6c858fd4c98b628147da928ce4ac
-- name: github.com/retailnext/hllpp
- version: 38a7bb71b483e855d35010808143beaf05b67f9d
-- name: github.com/spaolacci/murmur3
- version: 0d12bf811670bf6a1a63828dfbd003eded177fce
-- name: github.com/uber-go/atomic
- version: 74ca5ec650841aee9f289dce76e928313a37cbc6
-- name: github.com/uber-go/zap
- version: fbae0281ffd546fa6d1959fec6075ac5da7fb577
-- name: golang.org/x/crypto
- version: 9477e0b78b9ac3d0b03822fd95422e2fe07627cd
- subpackages:
- - bcrypt
- - blowfish
- - ssh/terminal
-- name: golang.org/x/sys
- version: d75a52659825e75fff6158388dddc6a5b04f9ba5
- subpackages:
- - unix
-testImports: []
diff --git a/testing/influxdb/glide.yaml b/testing/influxdb/glide.yaml
deleted file mode 100644
index b8dac39878..0000000000
--- a/testing/influxdb/glide.yaml
+++ /dev/null
@@ -1,59 +0,0 @@
-package: github.com/influxdata/influxdb
-import:
-- package: collectd.org
- version: e84e8af5356e7f47485bbc95c96da6dd7984a67e
- subpackages:
- - api
- - network
-- package: github.com/BurntSushi/toml
- version: 99064174e013895bbd9b025c31100bd1d9b590ca
-- package: github.com/bmizerany/pat
- version: c068ca2f0aacee5ac3681d68e4d0a003b7d1fd2c
-- package: github.com/boltdb/bolt
- version: 4b1ebc1869ad66568b313d0dc410e2be72670dda
-- package: github.com/cespare/xxhash
- version: 4a94f899c20bc44d4f5f807cb14529e72aca99d6
-- package: github.com/davecgh/go-spew
- version: 346938d642f2ec3594ed81d874461961cd0faa76
-- package: github.com/dgrijalva/jwt-go
- version: 24c63f56522a87ec5339cc3567883f1039378fdb
-- package: github.com/dgryski/go-bits
- version: 2ad8d707cc05b1815ce6ff2543bb5e8d8f9298ef
-- package: github.com/dgryski/go-bitstream
- version: 7d46cd22db7004f0cceb6f7975824b560cf0e486
-- package: github.com/gogo/protobuf
- version: 30433562cfbf487fe1df7cd26c7bab168d2f14d0
- subpackages:
- - proto
-- package: github.com/golang/snappy
- version: d9eb7a3d35ec988b8585d4a0068e462c27d28380
-- package: github.com/google/go-cmp
- version: 18107e6c56edb2d51f965f7d68e59404f0daee54
-- package: github.com/influxdata/usage-client
- version: 6d3895376368aa52a3a81d2a16e90f0f52371967
- subpackages:
- - v1
-- package: github.com/jwilder/encoding
- version: 27894731927e49b0a9023f00312be26733744815
- subpackages:
- - simple8b
-- package: github.com/paulbellamy/ratecounter
- version: 5a11f585a31379765c190c033b6ad39956584447
-- package: github.com/peterh/liner
- version: 88609521dc4b6c858fd4c98b628147da928ce4ac
-- package: github.com/retailnext/hllpp
- version: 38a7bb71b483e855d35010808143beaf05b67f9d
-- package: github.com/spaolacci/murmur3
- version: 0d12bf811670bf6a1a63828dfbd003eded177fce
-- package: github.com/uber-go/atomic
- version: 74ca5ec650841aee9f289dce76e928313a37cbc6
-- package: github.com/uber-go/zap
- version: fbae0281ffd546fa6d1959fec6075ac5da7fb577
-- package: golang.org/x/crypto
- version: 9477e0b78b9ac3d0b03822fd95422e2fe07627cd
- subpackages:
- - bcrypt
- - ssh/terminal
-- package: golang.org/x/sys
- subpackages:
- - unix